Move media asset project

Prev Next

Available in VPC

Move a media asset to another project.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PATCH /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID
asset_id String Required Media asset ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
new_project_id String Required ID of the project you want to move the media to

Request example

The request example is as follows:

curl --location --request PATCH 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/1001?new_project_id=5678' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String Required API processing result code
message String Required API processing result message
result Object Required Media asset details
result.assetId Integer Required Media asset ID
result.fileName String Required Media file name
result.projectId Integer Required ID of the project you moved the media to
result.metaData Object Required Metadata details
result.metaData.resolution String Required Resolution
  • Example: 1920x1080
result.metaData.durationMs Integer Required Video length (millisecond)
result.metaData.size Integer Required Asset file size (byte)
result.metaData.format String Required File format
  • mp4 | mkv | mov | webm | png |jpg | heic
result.key String Required Full file name of the media uploaded to Object Storage
result.createUserName String Required User name that registered the media asset
result.createdTime String Required Media asset registration date and time
  • ISO 8601 format
result.updateUserName String Required User name who last edited the media asset
result.updatedTime String Required Media asset last modification date and time
  • ISO 8601 format

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "videoId": 1001,
        "videoName": "sample-video.mp4",
        "projectId": 5678,
        "metaData": {
            "resolution": "1280x720",
            "durationMs": 242161,
            "size": 35064178,
            "format": "mp4"
        },
        "key": "sample-video.mp4",
        "createUserName": "username",
        "createdTime": "2025-04-23T17:14:11",
        "updateUserName": "username",
        "updatedTime": "2025-04-23T17:21:56"
    }
}